# -*- coding: iso_8859_1 -*-

from aspylib import astro
import matplotlib.pyplot as plt

#------------------------------------------------------------------------------------
#	Purpose
#------------------------------------------------------------------------------------
#
#	This script plots the median values of a series of images
#
#------------------------------------------------------------------------------------
#	Input parameters
#------------------------------------------------------------------------------------

Folder = u"C:\\images\\"
Imagelist = [Folder + "images-coaligned-" + str(i+1) + ".fit" for i in range(50)]

#------------------------------------------------------------------------------------
#	Script
#------------------------------------------------------------------------------------

med = []

for im in Imagelist:

	#loading images
	image = astro.get_imagedata([im])
	#finds median values
	med = med + astro.get_median(image)

plt.figure()
plt.plot(med)
plt.show()

raw_input('Press Enter to close')
