# -*- coding: iso_8859_1 -*-

from aspylib import calib

#------------------------------------------------------------------------------------
#	purpose
#------------------------------------------------------------------------------------
#
#	This script calculate a master flat frame, starting from raw flat and dark frames that have ALL been measured with the SAME EXPOSURE TIME.
#
#------------------------------------------------------------------------------------
#	input parameters
#------------------------------------------------------------------------------------

#--- input names ---
Folder = u"C:\\flats\\"
Darklist = [Folder + "dark\\dark-" + str(i+1) + ".fit" for i in range(20)]
Flatlist = [Folder + "flat\\flat-" + str(i+1) + ".fit" for i in range(20)]

#--- output name ---
Finalflat = Folder + "flat-final.fit"

#--- additional information (for FITS headers) ---
Config = 0
More_headers = {'OBJECT': ['Flat','']}

#------------------------------------------------------------------------------------
#	calculations
#------------------------------------------------------------------------------------

calib.process_flatframe_constantexp(Flatlist, Darklist, Finalflat, Config, More_headers)

raw_input("Press ENTER to close")

