# -*- coding: iso_8859_1 -*-
"""
	module for aperture photometry.
"""

from aspylib import license
	
from photometry1 import check_pictures_quality
#def check_pictures_quality(Imagelist, outputname):

from photometry2 import calculate_shifts
#def calculate_shifts(Imagelist, outputname, detection_area = 10, nb_stars = 12):

from photometry3 import make_photometry, aperture_photometry
#def make_photometry(Imagelist, sizes, coord, method='centroid', check_sat = [True,'saturation'], mag_sat = np.nan, mag_zero = np.nan, error_messages = 1):
#def aperture_photometry(image, sizes, coord, method='centroid', check_sat = [True,'saturation'], mag_sat = np.nan, mag_zero = np.nan, error_messages = 1):

from photometry4 import make_photometrystats, aperture_photometrystats, write_magnitudes_and_SNR
#def make_photometrystats(Imagelist, sizes, coord, CCD, method='centroid', check_sat = [True,'saturation'], mag_sat = [np.nan, np.nan], mag_zero = [np.nan, np.nan], error_messages = 1):
#def aperture_photometrystats(image, sizes, coord, CCD, method='centroid', check_sat = [True,'saturation'], mag_sat = [np.nan, np.nan], mag_zero = [np.nan, np.nan], error_messages = 1):
#def write_magnitudes_and_SNR(Imagelist, outputname, names, xy, dateobs, sizes, mag, SNR):

from photometry5 import load_shifts, load_imagestats
#def load_shifts(filename):
#def load_imagestats(filename):

#------------------------------------------------------------------------------------------------------------
from photo_script1 import select_stars
#def select_stars(Imagelist, shifts, outputname, detection_area = 10, method='centroid'):

from photo_script2 import write_magnitudes
#def write_magnitudes(Imagelist, outputname, names, xy, dateobs, sizes, mag):

from photo_script3 import check_refstars
#def check_refstars(names, mag):

from photo_script4 import filter_magnitudes
#def filter_magnitudes(obj_index, names, sizes, mag, rejdata):

from photo_script5 import calc_noise, best_magnitude
#def calc_noise(mag):
#def best_magnitude(obj_index, names, sizes, mag, rejstar, rejdata_i, rejdisk_i, nb=10):

from photo_script6 import write_best_magnitude
#def write_best_magnitude(outputname, Imagelist, names, obj_index, sizes, ref_1, mag_1, sig_1, dateobs, nb=10, rejdata = [], rejsizes = [], rejstar = []):

from photo_script7 import write_cdrcdl_report
#def write_cdrcdl_report(outputname, Imagelist, names, obj_index, mag, ref_1, mag_1, sig_1, dateobs, rejdata = [], format = 'DVR'):

#------------------------------------------------------------------------------------------------------------
from automatic_script1 import compute_statistics
#def compute_statistics(mag, nbref = 20, plotting = False):

from automatic_script2 import write_auto_magnitudes
#def write_auto_magnitudes(Imagelist, xy, sizes, ref_stars, dateobs, mag, stats, quality_flag, which_disk, outputname, astrometry = []):

del photometry1, photometry2, photometry3, photometry4, photometry5
del photo_script1, photo_script2, photo_script3, photo_script4, photo_script5, photo_script6, photo_script7
del automatic_script1, automatic_script2
